﻿using System;
using System.Web.UI.WebControls;
using AjaxControlToolkit;
using System.Text;
using System.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            for (int i = 0; i < 5; i++)
            {
                // add a hyperlink to the placeholder
                HyperLink hl = new HyperLink();
                hl.ID = "Hlnk" + i.ToString();
                hl.Text = "Hover Over Here " + i.ToString();
                hl.NavigateUrl = "#";
                PlhContent.Controls.Add(hl);
                PlhContent.Controls.Add(new LiteralControl("<br/><br/>"));

                // add a hovermenuextender
                HoverMenuExtender hme = new HoverMenuExtender();
                hme.TargetControlID = "Hlnk" + i.ToString();
                hme.PopupControlID = "PnlPopUp" + i.ToString();
                hme.PopupPosition = HoverMenuPopupPosition.Right;
                hme.OffsetX = -100;
                hme.OffsetY = -6;
                hme.PopDelay = 0;
                PlhContent.Controls.Add(hme);

                StringBuilder sb = new StringBuilder();
                sb.Append("<table class='popUpArrowBoxTable'>");
                sb.Append("    <tr>");
                sb.Append("        <td></td>");
                sb.Append("        <td class='popUpArrowBoxTdTopLeft'></td>");
                sb.Append("        <td class='popUpArrowBoxTdTopSide'></td>");
                sb.Append("        <td class='popUpArrowBoxTdTopRight'></td>");
                sb.Append("    </tr>");
                sb.Append("    <tr>");
                sb.Append("        <td class='popUpArrowBoxTdTopArrow'></td>");
                sb.Append("        <td class='popUpArrowBoxTdSideLeft'></td>");
                sb.Append("        <td class='popUpArrowBoxTdContent'>");

                // content
                sb.Append("            <div style='font-weight: bold; font-size: 14px; color: White; padding: 10px; background-color: #B9090B; text-align: center;'>");
                sb.Append("                This is a Title Here");
                sb.Append("            </div>");
                sb.Append("            <br />");
                sb.Append("            Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Etiam mauris. Duis commodo. Integer ");
                sb.Append("            adipiscing risus non metus. Nullam faucibus sagittis ");
                sb.Append("            elit. Nullam at urna. Proin imperdiet hendrerit nibh.");
                sb.Append("            <br />");
                sb.Append("            Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos ");
                sb.Append("            himenaeos. Cras a lacus. Aliquam eros.");
                sb.Append("            <hr />");
                sb.Append("            <div style='font-size: smaller;'>");
                sb.Append("                This are some footer text that you like to add");
                sb.Append("            </div>");
                sb.Append("            <hr />");
                sb.Append("            <div style='font-size: smaller;'>");
                sb.Append("                adipiscing risus non metus. Nullam faucibus sagittis");
                sb.Append("            </div>");
                // end of content

                sb.Append("        </td>");
                sb.Append("        <td class='popUpArrowBoxTdSideRight'></td>");
                sb.Append("    </tr>");
                sb.Append("    <tr>");
                sb.Append("        <td></td>");
                sb.Append("        <td class='popUpArrowBoxTdBottomLeft'></td>");
                sb.Append("        <td class='popUpArrowBoxTdBottomSide'></td>");
                sb.Append("        <td class='popUpArrowBoxTdBottomRight'></td>");
                sb.Append("    </tr>");
                sb.Append("</table>");

                Literal lit = new Literal();
                lit.Text = sb.ToString();

                // add the popup panel
                Panel pnl = new Panel();
                pnl.ID = "PnlPopUp" + i.ToString();
                pnl.Controls.Add(lit);
                pnl.CssClass = "popUpArrowPanel";

                PlhContent.Controls.Add(pnl);
            }
        }
    }
}
